<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Code_Manas
 */

get_header();
?>

<main id="main" class="site-main" role="main">
	<div id="content" class="site-content">
		<div class="container">
			<div id="primary" class="content-area">
				<div class="primary-inner-wrapper">

					<?php if ( have_posts() ) : ?>

						<header class="page-header">
							<h1 class="page-title">
								<?php
								/* translators: %s: search query. */
								printf( esc_html__( 'Search Results for: %s', 'code-manas' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h1>
						</header><!-- .page-header -->

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/**
							 * Run the loop for the search to output the results.
							 * If you want to overload this in a child theme then include a file
							 * called content-search.php and that will be used instead.
							 */
							get_template_part( 'template-parts/content' );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>

				</div>
				<?php 
				$blog_pagination = get_theme_mod( 'blog_pagination', 'numeric' ); 
				if ( 'numeric' === $blog_pagination ) {
					the_posts_pagination();
				} else {

					the_posts_navigation(); 
				}
				?>

			</div><!--primary content area-->
			<?php get_sidebar();?>
		</div>
	</div>
</main>

<?php
get_footer();
